Commit 56718646 authored by Sven Neumann's avatar Sven Neumann Committed by Sven Neumann
Browse files

bumped version number to 2.0.2, interface_age 2, binary_age 2.

2004-06-15  Sven Neumann  <sven@gimp.org>

	* configure.in: bumped version number to 2.0.2, interface_age 2,
	binary_age 2.
parent 0310333f
2004-06-15 Sven Neumann <sven@gimp.org>
* configure.in: bumped version number to 2.0.2, interface_age 2,
binary_age 2.
2004-06-14 Henrik Brix Andersen <brix@gimp.org>
* app/plug-in/plug-in-run.c: let extensions run synchronously when
......
......@@ -6,6 +6,35 @@ here. New features are being added in the HEAD branch that is supposed
to be released as GIMP version 2.2 in a not too distant future.
Bugs fixed in GIMP 2.0.2
========================
- several build fixes (#140115, #142907, #143069)
- allow plug-ins to register menu entries from within init() (#139969)
- fixed focus issues with tool dialogs (#139349)
- allow to load grayscale TGA files
- a couple of string and i18n fixes (#140296, #140039, #137036, #142996)
- fixed crash in template editor (#140315)
- fixed crash in IWarp plug-in (#140554)
- fixed snap to guides (#140649)
- made the PNG plug-in handle empty colormaps (#142029)
- fixed bug in text editor dialog (#141792)
- fixed Old Photo script-fu (#142326)
- fixed glitch in the Curves tool dialog (#142506)
- don't allow tablet pressure to become negative (#123811)
- improved range of tablet pressure values (#142808)
- better defaults for tablet pressure (#143626)
- fixed use of screen color picker with XInput devices (#143166)
- actually return values from the run function of Python scripts (#141338)
- documentation fixes (#142618)
- fixed bug in the save routine of the TIFF plug-in (#143522)
- don't let Curve Bend silently apply the layer mask (#134748)
- fixed bug in Blur plug-in (#142318)
- fixed mask offsets after crop operations (#143860)
- let extensions run synchronously when called via PDB (#140112)
- updated (and some new) translations
Bugs fixed in GIMP 2.0.1
========================
- don't leak file descriptor for the POSIX shm implementation (Yosh)
......
......@@ -12,12 +12,12 @@ AC_PREREQ(2.54)
m4_define([gimp_major_version], [2])
m4_define([gimp_minor_version], [0])
m4_define([gimp_micro_version], [1])
m4_define([gimp_micro_version], [2])
m4_define([gimp_real_version],
[gimp_major_version.gimp_minor_version.gimp_micro_version])
m4_define([gimp_version], [gimp_real_version])
m4_define([gimp_interface_age], [1])
m4_define([gimp_binary_age], [1])
m4_define([gimp_interface_age], [2])
m4_define([gimp_binary_age], [2])
# For overriding the version string. Comment out if not needed.
# m4_define([gimp_version], [2.0])
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment